3.235.0 release notes
about 5 hours ago by ReadMe API
- ⚠️ Breaking changes
- Changed Session energy values on
GET /public-api/resources/sessions/v1.0andGET /public-api/resources/sessions/v1.0/{session}to use precise meter readings only. For sessions without a precise reading,energyandenergyConsumption.totalnow return0instead of falling back to legacy energy readings.
- Changed Session energy values on
- ✨ New features
- Added the optional
paymentOrderReferencestring property to the Transactions request body onPOST /public-api/resources/transactions/v1.0. Use it to supply an additional payment reference for reconciliation; values can contain up to 255 characters. - Added the optional
paymentOrderReferenceproperty to Transaction responses returned byGET /public-api/resources/transactions/v1.0,POST /public-api/resources/transactions/v1.0,GET /public-api/resources/transactions/v1.0/{transaction}, andPATCH /public-api/resources/transactions/v1.0/{transaction}when a payment reference has been recorded.
- Added the optional
